function onTalk()
    disableMovement()
	disableRetry()
    player.Facing = getEnum("Celeste.Facings", "Left")
    wait (0.5)
    say ("End_Question")
    choiceDialog({
{"End_No",onChosen = function()
  closeChoiceDialog()
end},
{"End_Yes",onChosen = function()
  wait(1)
  walk(-56)
  local level = getLevel()
  coroutine.yield(level:ZoomTo(vector2(160, 140), 3, 5))
  completeArea()
  wait(1)
end}



})
         

end


function onEnd()
    enableMovement()
        enableRetry()
end